import { MethodType } from "@/constants/enum/general/method-type.enum";
import { HeaderType } from "@/constants/enum/general/header-type.enum";
// const prefix = process.env.VUE_APP_MS_GATEWAY_API+process.env.VUE_APP_MS_APPLICATION_API+process.env.VUE_APP_API_PREFIX;
// const prefix = "http://localhost:9145"+process.env.VUE_APP_MS_APPLICATION_API+process.env.VUE_APP_API_PREFIX;
const prefix = "http://10.2.3.118:9145"+process.env.VUE_APP_MS_APPLICATION_API+process.env.VUE_APP_API_PREFIX;

console.log(prefix+"============")
const applicationApi = {
  //新增上门营销
  AddMarketing: {
    url: `${prefix}/market-task/add`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.BASE.code,
    MCEP: 'MCEP'
  },
  //营销任务查询
  MarketingList: {
    url: `${prefix}/market-task/selectMarkList`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.BASE.code,
    MCEP: 'MCEP'
  },
  //营销认领
  MarketingClaim: {
    url: `${prefix}/market-task/getTask`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.BASE.code,
    MCEP: 'MCEP'
  },
  //营销池任务查询
  MarketingPool: {
    url: `${prefix}/market-task/getTaskPool`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.BASE.code,
    MCEP: 'MCEP'
  },
  //个贷营销任务处理
  resloveTask: {
    url: `${prefix}/market-task/resloveTask`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.BASE.code,
    MCEP: 'MCEP'
  },
  //营销任务处理详情查询
  taskDetail: {
    url: `${prefix}/market-task/taskDetail`,
    methodType: MethodType.GET.code,
    headerType: HeaderType.BASE.code,
    MCEP: 'MCEP'
  },
  //修改任务状态
  updateMarketTaskSingle: {
    url: `${prefix}/market-task/updateMarketTaskSingle`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.BASE.code,
    MCEP: 'MCEP'
  },
  //个人营销时光轴
  taskTimeLine: {
    url: `${prefix}/market-task/taskTimeLine`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.BASE.code,
    MCEP: 'MCEP'
  },
  //对公客户经理待办任务列表查询
  selectTodoTaskManager: {
    url: `${prefix}/market-task-public-main/select-todo-task-manager`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.BASE.code,
    MCEP: 'MCEP'
  },
  //对公客户经理所属营销池待办任务
  selectRelStatusTaskManager: {
    url: `${prefix}/market-task-public-main/select-rel-status-task-manager`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.BASE.code,
    MCEP: 'MCEP'
  },
  //对公营销任务认领(任务主表的操作)
  updateTodoTaskManager: {
    url: `${prefix}/market-task-public-main/update-todo-task-manager`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.BASE.code,
    MCEP: 'MCEP'
  },
  //对公营销营销池任务
  selectRelStatusTask: {
    url: `${prefix}/market-task-public-main/select-rel-status-task`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.BASE.code,
    MCEP: 'MCEP'
  },

  //对公修改营销任务状态
  updateMarketTaskStatus: {
    url: `${prefix}/market-task-public-main/update-market-task-status`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.BASE.code,
    MCEP: 'MCEP'
  },

  //对公客户拜访营销任务表查询
  detailByTaskNum: {
    url: `${prefix}/market-task-customer-visit/detail-by-taskNum`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.BASE.code,
    MCEP: 'MCEP'
  },
  //对公客户拜访营销任务表新增
  ComMarkAddVisit: {
    url: `${prefix}/market-task-customer-visit/add`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.BASE.code,
    MCEP: 'MCEP'
  },
  //对公客户拜访营销任务表更新
  ComMarkUpdateVisit: {
    url: `${prefix}/market-task-customer-visit/update`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.BASE.code,
    MCEP: 'MCEP'
  },

  //对公招商引资企业营销台账任务表查询
  detailByTaskNumAttract: {
    url: `${prefix}/market-task-investment-attract/detail-by-taskNum`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.BASE.code,
    MCEP: 'MCEP'
  },
  //对公招商引资企业营销台账任务表新增
  ComMarkAddAttract: {
    url: `${prefix}/market-task-investment-attract/add`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.BASE.code,
    MCEP: 'MCEP'
  },
  //对公招商引资企业营销台账任务表更新
  ComMarkUpdateAttract: {
    url: `${prefix}/market-task-investment-attract/update`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.BASE.code,
    MCEP: 'MCEP'
  },

  //公司精准信息摸排专项营销任务表查询
  detailByTaskNumProject: {
    url: `${prefix}/market-task-pre-mopai-project/detail-by-taskNum`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.BASE.code,
    MCEP: 'MCEP'
  },
  //公司精准信息摸排专项营销任务表新增
  ComMarkAddProject: {
    url: `${prefix}/market-task-pre-mopai-project/add`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.BASE.code,
    MCEP: 'MCEP'
  },
  //公司精准信息摸排专项营销任务表更新
  ComMarkUpdateProject: {
    url: `${prefix}/market-task-pre-mopai-project/update`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.BASE.code,
    MCEP: 'MCEP'
  },

  //精准营销专项对公营销任务表查询
  detailByTaskNumPre: {
    url: `${prefix}/market-task-pre-project/detail-by-taskNum`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.BASE.code,
    MCEP: 'MCEP'
  },
  //精准营销专项对公营销任务表新增
  ComMarkAddPre: {
    url: `${prefix}/market-task-pre-project/add`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.BASE.code,
    MCEP: 'MCEP'
  },
  //公司精准信息摸排专项营销任务表更新
  ComMarkUpdatePre: {
    url: `${prefix}/market-task-pre-project/update`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.BASE.code,
    MCEP: 'MCEP'
  },
  //客户经理新增多条对公客户任务
  addsTaskManager: {
    url: `${prefix}/market-task-public-main/adds-task-manager`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.BASE.code,
    MCEP: 'MCEP'
  },
  //查询对公营销客户名单
  selectMarkertCustomerListPublic: {
    url: `${prefix}/market-customer-list-public/selectMarkertCustomerListPublic`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.BASE.code,
    MCEP: 'MCEP'
  },

  //中小营销任务列表查询
  selectMarketZxxdVisitTask: {
    url: `${prefix}/market-zxxd-visit-task/select-market-zxxd-visit-task`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.BASE.code,
    MCEP: 'MCEP'
  },
  //中小续贷拜访任务更新
  updateMarketZxxdVisitTask: {
    url: `${prefix}/market-zxxd-visit-task/update-market-zxxd-visit-task`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.BASE.code,
    MCEP: 'MCEP'
  },
  // //客户经理营销待办任务列表统计查询-个人
  // selectMarketTaskCount: {
  //   url: `${prefix}/market-task/selectMarketTaskCount`,
  //   methodType: MethodType.POST.code,
  //   headerType: HeaderType.BASE.code,
  //   MCEP: 'MCEP'
  // },
  //客户经理营销待办任务列表统计查询-对公
  selectMarketTaskCountPublic: {
    url: `${prefix}/market-task-public-main/selectMarketTaskCount`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.BASE.code,
    MCEP: 'MCEP'
  },
  //待办任务统计数量
  queryPerFtfTaskCount: {
    url: `${prefix}/market-task/query-per-ftf-task-count`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.BASE.code,
    MCEP: 'MCEP'
  },
  savePersBusiAccept:{
    url: prefix + "/persBusiAccept/savePersBusiAccept",
    method: MethodType.POST.code,
    header: HeaderType.AUTH.code,
    // MCEP: 'MCEP'
  },
  getInfo:{
    url: prefix + "/persBusiAccept/getPersBusiAcceptByPaperId",
    method: MethodType.GET.code,
    header: HeaderType.AUTH.code,
    // MCEP: 'MCEP'
  },
  getBussOrgList:{
    url: prefix + "/persBusiAccept/getBussOrgList",
    method: MethodType.GET.code,
    header: HeaderType.AUTH.code,
    // MCEP: 'MCEP'
  },
  getBussAccountManagerList:{
    url: prefix + "/bussAccountManager/getBussAccountManagerList",
    method: MethodType.GET.code,
    header: HeaderType.AUTH.code,
    // MCEP: 'MCEP'
  },

};
export default applicationApi;
