import { MethodType } from "@/constants/enum/general/method-type.enum";
import { HeaderType } from "@/constants/enum/general/header-type.enum";
// const prefix = `${process.env.VUE_APP_MS_SYSTEM_API}${process.env.VUE_APP_API_PREFIX}`;
//网关
// const prefix = process.env.VUE_APP_MS_GATEWAY_API + process.env.VUE_APP_AUTH_API;
//local
const prefix = process.env.VUE_APP_MS_GATEWAY_API + process.env.VUE_APP_SYSTEM_API;
const systemApi = {
  // 通用请求地址
  commonRq: {
    url: `${prefix}/sys-user-info/permit_endpoint/login`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.BASE.code
  },
  //字典查询
  dictRq: {
    url: `${prefix}/sys-dict-detail/query-all`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.BASE.code
  },
  //树形结构查询
  treeRq: {
    url: `${prefix}/sys-dict-tree-detail/get-tree-dict-value`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.BASE.code
  },
  //产品查询
  productRq: {
    url: `${prefix}/mcep-product-config/getByProductName/`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.BASE.code
  },
  //保存影像资料关系
  addBatch: {
    url: `${prefix}/sys-code-file/addBatch`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.AUTH.code
  },
  //查询影像资料
  queryMullist: {
    url: `${prefix}/sys-code-file/mullist`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.AUTH.code
  },
  //下载影像资料
  downloadMullist: {
    url: `${prefix}/sys-code-file/download-files`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.AUTH.code
  },
  //验证验证码是否正确
  checkVerifactionCode: {
    url: `${prefix}/sms/check-sms-push`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.AUTH.code
  },
  //菜单配置
  menuSetUp: {
    url: `${prefix}/sys-menu-info/query-authorized-phone-menu-by-appid`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.AUTH.code
  },
  //随意分资金提取处试算
  SYFLoanmoneyComputed: {
    url: `${prefix}/auxiliary-tools/random-compute`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.AUTH.code
  },
  //随意分利率查询
  SYFLoanRateSelect: {
    url: `${prefix}/sys-trial-conf/select`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.AUTH.code
  },
  //对公财务试算
  companyMoneyComputed: {
    url: `${prefix}/dgcs/company-measure`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.AUTH.code
  },
  //个贷利率定价查询
  selectPerLoanPrice: {
    url: `${prefix}/indLoan/indLoan` + '?tc=CHBG_001',
    methodType: MethodType.POST.code,
    headerType: HeaderType.AUTH.code
  },
  //配置信息查询
  McepSwitchSelect: {
    url: `${prefix}/mcep-switch/mcep-switch-select`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.AUTH.code
  },
  //面签影像上传
  FaceSignUploadImg: {
    url: `${prefix}/sys-file-info/upload-list`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.UPLOAD_AUTH.code
  },
  //随手礼数据字典查询
  QueryNoPageDict: {
    url: `${prefix}/sys-dict-info/query-no-page-dict`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.AUTH.code
  },
  //随手礼数据字典详情查询
  SearchSysDictInfoByid: {
    url: `${prefix}/sys-dict-info/search-sys-dict-info-byid`,
    methodType: MethodType.GET.code,
    headerType: HeaderType.AUTH.code
  },
  //菜单查询
  queryMenu: {
    url: `${prefix}/sys-menu-info/query-authorized-phone-menu-by-appid`,
    methodType: MethodType.GET.code,
    headerType: HeaderType.BASE.code
  },
  //创建面签合同
  createContract: {
    url: `${prefix}/sys-file-info/ftf-com`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.UPLOAD_AUTH.code
  },
  //配置信息查询
  selectConfigurationInfo: {
    url: `${prefix}/mcep-switch/mcep-switch-select`,
    methodType: MethodType.POST.code,
    headerType: HeaderType.AUTH.code
  },
    //获取个人信息
  getSysCustInfoById: {
      url: prefix + "/sys-cust-info/detail-by-id",
      method: MethodType.GET.code,
      header: HeaderType.AUTH.code,
  },
  //更新个人信息
  updateSysCustInfoById: {
      url: prefix + "/sys-cust-info/update-by-id",
      method: MethodType.PUT.code,
      header: HeaderType.AUTH.code,
    },
};
export default systemApi;
